package org.kne.cloud.network;

import java.net.DatagramSocket;
import java.net.SocketException;

public class VirtualDatagramSocket extends DatagramSocket {
	private VirtualDatagramSocketImpl virtualImpl;

	protected VirtualDatagramSocketImpl getVirtualImpl() {
		return virtualImpl;
	}

	public VirtualDatagramSocket(VirtualDatagramSocketImpl si) throws SocketException {
		super(si);
		this.virtualImpl=si;
	}

}
